function [sm_odch RMS rozptyl hlavni_frekvence, souradnice_Y souradnice_2_x, souradnice_1_y, souradnice_2_y, vyska poloha] = data_z_oken(X_ok,Y_ok,Z_ok);

sm_odch(1) = std(X_ok);  % výpočet směrodatné odchylky akcelerometrických dat
sm_odch(2)= std(Y_ok);
sm_odch(3) = std(Z_ok);

RMS(1) = rms(X_ok); % výpočet RMS akcelerometrických dat
RMS(2) = rms(Y_ok);
RMS(3) = rms(Z_ok);

%% rozdím max/min
rozptyl(1)=abs(min(X_ok)-max(X_ok));  % výpočet rozdílu minimální a maximální hodnoty zrychlení acc. dat
rozptyl(2)=abs(min(Y_ok)-max(Y_ok));
rozptyl(3)=abs(min(Z_ok)-max(Z_ok));


%% Rychlá Fourierova transformace
L=512;          % délka signálu
Fs=100;         % vzorkovací frekvence

fft_X = fft(X_ok);      % výpočet fft
P2_X = abs(fft_X/L);
P1_X = P2_X(1:L/2+1);
P1_X(2:end-1) = 2*P1_X(2:end-1);
f_X = Fs*(0:(L/2))/L;
[souradnice_Y(1),hlavni_frekvence(1)] = findpeaks(P1_X,f_X, 'NPeaks',1, 'SortStr','descend');   % nalezení hlavní frekvence a četnisti jejího výskytu (osa X)


fft_Y = fft(Y_ok);
P2_Y = abs(fft_Y/L);
P1_Y = P2_Y(1:L/2+1);
P1_Y(2:end-1) = 2*P1_Y(2:end-1);
f_Y = Fs*(0:(L/2))/L;
[souradnice_Y(2),hlavni_frekvence(2)] = findpeaks(P1_Y,f_Y, 'NPeaks',1, 'SortStr','descend');   % (osa Y)


fft_Z = fft(Z_ok);
P2_Z = abs(fft_Z/L);
P1_Z = P2_Z(1:L/2+1);
P1_Z(2:end-1) = 2*P1_Z(2:end-1);
f_Z = Fs*(0:(L/2))/L;
[souradnice_Y(3),hlavni_frekvence(3)] = findpeaks(P1_Z,f_Z, 'NPeaks',1, 'SortStr','descend');   % (osa Z)


%% autokorelovaný signál

korelace_x=xcorr(X_ok);             % autokorelace osy X
korelace_y=xcorr(Y_ok);             % Y 
korelace_z=xcorr(Z_ok);             % Z 

[pksosaY_X,locsX_X] = findpeaks(korelace_x(round(end/2-6):end),'NPeaks',2, 'SortStr','descend'); % nalezení hrotů
[pksosaY_Y,locsX_Y] = findpeaks(korelace_y(round(end/2-6):end),'NPeaks',2, 'SortStr','descend');
[pksosaY_Z,locsX_Z] = findpeaks(korelace_z(round(end/2-6):end),'NPeaks',2, 'SortStr','descend');

souradnice_x(1,:)=[locsX_X,  zeros(  1, 6-length(locsX_X))]; 
souradnice_x(2,:)=[locsX_Y,  zeros(  1, 6-length(locsX_Y))]; 
souradnice_x(3,:)=[locsX_Z,  zeros(  1, 6-length(locsX_Z))];
souradnice_y(1,:)=[pksosaY_X,  zeros(  1, 6-length(pksosaY_X))];
souradnice_y(2,:)=[pksosaY_Y,  zeros(  1, 6-length(pksosaY_Y))];
souradnice_y(3,:)=[pksosaY_Z,  zeros(  1, 6-length(pksosaY_Z))];


%souranice na ose X
souradnice_1_x(1)=souradnice_x(1,1);   % poloha 1. nejvyššího hrotu osy X
souradnice_2_x(1)=souradnice_x(1,2);   % poloha 2. nejvyššího hrotu

souradnice_1_x(2)=souradnice_x(2,1);   % osy Y 
souradnice_2_x(2)=souradnice_x(2,2);  

souradnice_1_x(3)=souradnice_x(3,1);   % osy Z 
souradnice_2_x(3)=souradnice_x(3,2);    

% souradnice na osy Y
souradnice_1_y(1)=souradnice_y(1,1);  % velikost 1. nejvyššího hrotu osy X
souradnice_2_y(1)=souradnice_y(1,2);  % velikost 2. nejvyššího hrotu

souradnice_1_y(2)=souradnice_y(2,1);    % osy Y
souradnice_2_y(2)=souradnice_y(2,2);  

souradnice_1_y(3)=souradnice_y(3,1);   % osy Z
souradnice_2_y(3)=souradnice_y(3,2);    

%% korelace os X-Y 
korelace_xy=xcorr(X_ok,Y_ok);
[vyska,poloha] = findpeaks(korelace_xy(round(end/2-6):end),'NPeaks',2, 'SortStr','descend');

%% korelace os X-Z
korelace_xz=xcorr(X_ok,Z_ok);
[v,p] = findpeaks(korelace_xz(round(end/2-6):end),'NPeaks',2, 'SortStr','descend');
if isempty(v)           % podmínka pro případ, že by v signálu nebyly hroty (statiscké aktivity) 
    vyska(3:4)=0;
    poloha(3:4)=0;
else
    vyska(3:4)=v;
    poloha(3:4)=p;
end
%% korelaxe os Y-Z
korelace_yz=xcorr(Y_ok,Z_ok);
[v2,p2] = findpeaks(korelace_yz(round(end/2-6):end),'NPeaks',2, 'SortStr','descend');

if isempty(v2) 
    vyska(5:6)=0;
    poloha(5:6)=0;
else
    vyska(5:6)=v2;
    poloha(5:6)=p2;
end

poloha([1 3 5])=[];